iOS Brave Browser Old Version (Adblock?)

Hello.

I am on an iPhone 6 - update 12.5.5

I am also using Version 1.24 (21.4.1.15) of the Brave Browser.

I am unable to update to a later version. I am wondering if the Adblocker is updated to the latest blocking lists on this old version or if it’s stuck on old lists since the main program no longer updates.
Any idea?

Bump (anyone have any idea?)